Skip to main content
`Ctrl`+`K`

# DMPlexTPSType

Type of triply-periodic surface for a `DMPLEX`

## Synopsis

    typedef enum {
      DMPLEX_TPS_SCHWARZ_P,
      DMPLEX_TPS_GYROID
    } DMPlexTPSType;

## Values

- `DMPLEX_TPS_SCHWARZ_P` - Schwarz Primitive surface, defined by the equation cos(x) + cos(y) + cos(z) = 0.

- `DMPLEX_TPS_GYROID` - Gyroid surface, defined by the equation sin(x)cos(y) + sin(y)cos(z) + sin(z)cos(x) = 0

## See Also

`DMPLEX`, `DMPlexCreateTPSMesh()`

## Level

intermediate

## Location

include/petscdmplex.h

## Examples

src/dm/impls/plex/tutorials/ex13.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages